Package org.globus.util.http

# Class HTTPRequestParser

java.lang.Object
org.globus.util.http.HTTPParser
org.globus.util.http.HTTPRequestParser

public class HTTPRequestParser extends HTTPParser

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`_requestType`
`protected String`
`_service`

### Fields inherited from class org.globus.util.http.HTTPParser

`_chunked, _connection, _contentLength, _contentType, _host, _reader, _server`

## Constructor Summary

Constructors
Constructor
Description
`HTTPRequestParser(InputStream is)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getService()`
`void`
`parseHead(String line)`
`void`
`setService(String service)`

### Methods inherited from class org.globus.util.http.HTTPParser

`getContentLength, getContentType, getReader, getRest, isChunked, parse, setInputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _requestType

protected String _requestType

### _service

protected String _service

## Constructor Details

### HTTPRequestParser

public HTTPRequestParser(InputStream is) throws IOException

Throws:
  `IOException`

## Method Details

### getService

public String getService()

### setService

public void setService(String service)

### parseHead

public void parseHead(String line) throws IOException

Specified by:
  `parseHead` in class `HTTPParser`
Throws:
  `IOException`